2008/06/09 月曜日

続・WordPress

Filed under: wordpress — Nis @ 20:03:09

公式フォーラムで質問したら「GDでは?」と返答があったので、「いや、cactiやnagios入れたときにGDを確認したよなぁ」と思いながらも調べてみたら


# aptitude search gd (抜粋)
c php4-gd - GD module for php4
p php5-gd - GD module for php5

うお?! 削除した形跡があるぞ? (いや、もしかして、最初から入ってなかったとか?(汗))。phpinfoみても「GD」の二文字すら無い始末。うはー。


#aptitude -s install php5-gd
以下のパッケージは依存関係が壊れています:
libgd2-noxpm-dev
以下の新規パッケージが自動的にインストールされます:
libgd2-xpm
以下のパッケージが自動的に削除されます:
libgd2-noxpm
以下の新規パッケージがインストールされます:
libgd2-xpm php5-gd
以下のパッケージが削除されます:
libgd2-noxpm
更新: 0 個、新規インストール: 2 個、削除: 1 個、保留: 2 個。
233kB のアーカイブを取得する必要があります。展開後に 172kB のディスク領域が新たに消費されます。
以下のパッケージには満たされていない依存関係があります:
libgd2-noxpm-dev: 依存: libgd2-noxpm (= 2.0.33-5.2) しかしそれはインストールできません
Resolving dependencies...
以下のアクションでこれらの依存関係の問題は解決されます:

以下のパッケージを削除します:
libgd2-noxpm-dev

以下のパッケージをインストールします:
libgd2-xpm-dev [2.0.33-5.2 (stable)]
libxpm-dev [1:3.5.5-2 (stable)]

スコアは -439 です

この解決方法を受け入れますか? [Y/n/q/?]
以下の新規パッケージが自動的にインストールされます:
libgd2-xpm libgd2-xpm-dev libxpm-dev
以下のパッケージが自動的に削除されます:
libgd2-noxpm libgd2-noxpm-dev
以下の新規パッケージがインストールされます:
libgd2-xpm libgd2-xpm-dev libxpm-dev php5-gd
以下のパッケージが削除されます:
libgd2-noxpm libgd2-noxpm-dev
更新: 0 個、新規インストール: 4 個、削除: 2 個、保留: 2 個。
609kB のアーカイブを取得する必要があります。展開後に 344kB のディスク領域が新たに消費されます。
続けますか? [Y/n/?]
(中略)
609kB を 1s 秒でダウンロードしました (393kB/s)
dpkg: libgd2-noxpm: 依存関係に問題があります。しかし要求に従い削除しています:
librrd0 は以下に依存 (depends) します: libgd2-noxpm (>= 2.0.28) | libgd2-xpm (>= 2.0.28) ...しかし:
パッケージ libgd2-noxpm は削除されようとしています。
パッケージ libgd2-xpm はまだインストールされていません。
libgd2-noxpm-dev は以下に依存 (depends) します: libgd2-noxpm (= 2.0.33-5.2).
(データベースを読み込んでいます ... 現在 52455 個のファイルとディレクトリがインストールされています。)
libgd2-noxpm を削除しています ...
dpkg: libgd2-noxpm-dev: 依存関係に問題があります。しかし要求に従い削除しています:
libgd2-dev は以下に依存 (depends) します: libgd2-noxpm-dev (>= 2.0.4-2) | libgd2-xpm-dev (>= 2.0.4-2) ...しかし:
パッケージ libgd2-noxpm-dev は削除されようとしています。
パッケージ libgd2-xpm-dev はまだインストールされていません。
libgd2-noxpm-dev を削除しています ...
未選択パッケージ libxpm-dev を選択しています。
(データベースを読み込んでいます ... 現在 52409 個のファイルとディレクトリがインストールされています。)
(.../libxpm-dev_1%3a3.5.5-2_i386.deb から) libxpm-dev を展開しています...
未選択パッケージ libgd2-xpm を選択しています。
(.../libgd2-xpm_2.0.33-5.2_i386.deb から) libgd2-xpm を展開しています...
未選択パッケージ libgd2-xpm-dev を選択しています。
(.../libgd2-xpm-dev_2.0.33-5.2_i386.deb から) libgd2-xpm-dev を展開しています...
未選択パッケージ php5-gd を選択しています。
(.../php5-gd_5.2.0-8+etch11_i386.deb から) php5-gd を展開しています...
libxpm-dev (3.5.5-2) を設定しています ...
libgd2-xpm (2.0.33-5.2) を設定しています ...
libgd2-xpm-dev (2.0.33-5.2) を設定しています ...
php5-gd (5.2.0-8+etch11) を設定しています ...

#aptitude install php5-gd
(略)

#dpkg -l|grep gd (抜粋)
rc php4-gd 4.3.10-15 GD module for php4
ii php5-gd 5.2.0-8+etch11 GD module for php5

なんかエラー出まくりなんですが・・・・。これが仕事だったらエラー表示を解決しない限り上司の許可(私の許可も)が下りないんですけど、自宅サーバなので放置。(この姿勢が全ての原因だと思う今日この頃)

もう、なんと言ったらいいのやら・・・。
とりあえず、携帯電話表示も復旧いたしました。

コメントはまだありません »

No comments yet.

RSS feed for comments on this post. TrackBack URL

Leave a comment

29 queries. HTML convert time: 0.549 sec. Powered by WordPress $B$J$+$N$R$H(B